# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'mainwindow.ui'
#
# Created by: PyQt5 UI code generator 5.15.10
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(340, 400)
        MainWindow.setMinimumSize(QtCore.QSize(340, 400))
        MainWindow.setMaximumSize(QtCore.QSize(344, 400))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap("../conf/lightning100.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MainWindow.setWindowIcon(icon)
        self.centralWidget = QtWidgets.QWidget(MainWindow)
        self.centralWidget.setObjectName("centralWidget")
        self.StateModule_groupBox = QtWidgets.QGroupBox(self.centralWidget)
        self.StateModule_groupBox.setEnabled(True)
        self.StateModule_groupBox.setGeometry(QtCore.QRect(10, 16, 320, 130))
        self.StateModule_groupBox.setMinimumSize(QtCore.QSize(320, 130))
        self.StateModule_groupBox.setMaximumSize(QtCore.QSize(320, 130))
        font = QtGui.QFont()
        font.setBold(False)
        font.setWeight(50)
        self.StateModule_groupBox.setFont(font)
        self.StateModule_groupBox.setObjectName("StateModule_groupBox")
        self.IPaddres_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.IPaddres_label.setGeometry(QtCore.QRect(10, 35, 80, 20))
        self.IPaddres_label.setMinimumSize(QtCore.QSize(80, 20))
        self.IPaddres_label.setMaximumSize(QtCore.QSize(80, 20))
        self.IPaddres_label.setObjectName("IPaddres_label")
        self.Port_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.Port_label.setGeometry(QtCore.QRect(10, 64, 80, 20))
        self.Port_label.setMinimumSize(QtCore.QSize(80, 20))
        self.Port_label.setMaximumSize(QtCore.QSize(80, 20))
        self.Port_label.setObjectName("Port_label")
        self.State_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.State_label.setGeometry(QtCore.QRect(10, 93, 80, 20))
        self.State_label.setMinimumSize(QtCore.QSize(80, 20))
        self.State_label.setMaximumSize(QtCore.QSize(80, 20))
        self.State_label.setObjectName("State_label")
        self.IPaddresInfo_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.IPaddresInfo_label.setGeometry(QtCore.QRect(100, 35, 180, 20))
        self.IPaddresInfo_label.setMinimumSize(QtCore.QSize(180, 20))
        self.IPaddresInfo_label.setMaximumSize(QtCore.QSize(180, 20))
        self.IPaddresInfo_label.setStyleSheet("background-color: rgb(255, 250, 250);")
        self.IPaddresInfo_label.setText("")
        self.IPaddresInfo_label.setObjectName("IPaddresInfo_label")
        self.PortInfo_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.PortInfo_label.setGeometry(QtCore.QRect(100, 64, 180, 20))
        self.PortInfo_label.setMinimumSize(QtCore.QSize(180, 20))
        self.PortInfo_label.setMaximumSize(QtCore.QSize(180, 20))
        self.PortInfo_label.setStyleSheet("background-color: rgb(255, 250, 250);")
        self.PortInfo_label.setText("")
        self.PortInfo_label.setObjectName("PortInfo_label")
        self.StateInfo_label = QtWidgets.QLabel(self.StateModule_groupBox)
        self.StateInfo_label.setGeometry(QtCore.QRect(100, 93, 180, 20))
        self.StateInfo_label.setMinimumSize(QtCore.QSize(180, 20))
        self.StateInfo_label.setMaximumSize(QtCore.QSize(180, 20))
        self.StateInfo_label.setStyleSheet("background-color: rgb(255, 250, 250);")
        self.StateInfo_label.setText("")
        self.StateInfo_label.setObjectName("StateInfo_label")
        self.connectionStatus = QtWidgets.QLabel(self.StateModule_groupBox)
        self.connectionStatus.setGeometry(QtCore.QRect(290, 93, 20, 20))
        self.connectionStatus.setMinimumSize(QtCore.QSize(20, 20))
        self.connectionStatus.setMaximumSize(QtCore.QSize(20, 20))
        self.connectionStatus.setStyleSheet("background-color: rgb(211, 211, 211);\n"
"border-radius: 10px;")
        self.connectionStatus.setText("")
        self.connectionStatus.setObjectName("connectionStatus")
        self.Relay_groupBox = QtWidgets.QGroupBox(self.centralWidget)
        self.Relay_groupBox.setGeometry(QtCore.QRect(10, 192, 320, 190))
        self.Relay_groupBox.setMinimumSize(QtCore.QSize(320, 190))
        self.Relay_groupBox.setMaximumSize(QtCore.QSize(320, 190))
        self.Relay_groupBox.setTitle("")
        self.Relay_groupBox.setObjectName("Relay_groupBox")
        self.Relay3_label = QtWidgets.QLabel(self.Relay_groupBox)
        self.Relay3_label.setGeometry(QtCore.QRect(10, 130, 100, 20))
        self.Relay3_label.setMinimumSize(QtCore.QSize(100, 20))
        self.Relay3_label.setMaximumSize(QtCore.QSize(100, 20))
        self.Relay3_label.setObjectName("Relay3_label")
        self.Relay4_label = QtWidgets.QLabel(self.Relay_groupBox)
        self.Relay4_label.setGeometry(QtCore.QRect(10, 160, 100, 20))
        self.Relay4_label.setMinimumSize(QtCore.QSize(100, 20))
        self.Relay4_label.setMaximumSize(QtCore.QSize(100, 20))
        self.Relay4_label.setObjectName("Relay4_label")
        self.pbTurnOnOff12V = QtWidgets.QPushButton(self.Relay_groupBox)
        self.pbTurnOnOff12V.setGeometry(QtCore.QRect(170, 30, 80, 20))
        self.pbTurnOnOff12V.setMinimumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOff12V.setMaximumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOff12V.setObjectName("pbTurnOnOff12V")
        self.pbTurnOnOff24V = QtWidgets.QPushButton(self.Relay_groupBox)
        self.pbTurnOnOff24V.setGeometry(QtCore.QRect(170, 60, 80, 20))
        self.pbTurnOnOff24V.setMinimumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOff24V.setMaximumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOff24V.setObjectName("pbTurnOnOff24V")
        self.pbTurnOnOffCooler1 = QtWidgets.QPushButton(self.Relay_groupBox)
        self.pbTurnOnOffCooler1.setGeometry(QtCore.QRect(170, 130, 80, 20))
        self.pbTurnOnOffCooler1.setMinimumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOffCooler1.setMaximumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOffCooler1.setObjectName("pbTurnOnOffCooler1")
        self.pbTurnOnOffCooler2 = QtWidgets.QPushButton(self.Relay_groupBox)
        self.pbTurnOnOffCooler2.setGeometry(QtCore.QRect(170, 160, 80, 20))
        self.pbTurnOnOffCooler2.setMinimumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOffCooler2.setMaximumSize(QtCore.QSize(80, 20))
        self.pbTurnOnOffCooler2.setObjectName("pbTurnOnOffCooler2")
        self.TemperatureCurrent_label = QtWidgets.QLabel(self.Relay_groupBox)
        self.TemperatureCurrent_label.setGeometry(QtCore.QRect(170, 100, 40, 20))
        self.TemperatureCurrent_label.setMinimumSize(QtCore.QSize(40, 20))
        self.TemperatureCurrent_label.setMaximumSize(QtCore.QSize(40, 20))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.TemperatureCurrent_label.setFont(font)
        self.TemperatureCurrent_label.setStyleSheet("background-color: rgb(255, 248, 220);\n"
"border-radius: 10px;")
        self.TemperatureCurrent_label.setText("")
        self.TemperatureCurrent_label.setAlignment(QtCore.Qt.AlignCenter)
        self.TemperatureCurrent_label.setObjectName("TemperatureCurrent_label")
        self.label_9 = QtWidgets.QLabel(self.Relay_groupBox)
        self.label_9.setGeometry(QtCore.QRect(10, 100, 130, 20))
        self.label_9.setMinimumSize(QtCore.QSize(130, 20))
        self.label_9.setMaximumSize(QtCore.QSize(130, 20))
        self.label_9.setObjectName("label_9")
        self.label_10 = QtWidgets.QLabel(self.Relay_groupBox)
        self.label_10.setGeometry(QtCore.QRect(220, 100, 80, 20))
        self.label_10.setMinimumSize(QtCore.QSize(80, 20))
        self.label_10.setMaximumSize(QtCore.QSize(80, 20))
        self.label_10.setObjectName("label_10")
        self.powerSupply24VStatus = QtWidgets.QLabel(self.Relay_groupBox)
        self.powerSupply24VStatus.setGeometry(QtCore.QRect(290, 60, 20, 20))
        self.powerSupply24VStatus.setMinimumSize(QtCore.QSize(20, 20))
        self.powerSupply24VStatus.setMaximumSize(QtCore.QSize(20, 20))
        self.powerSupply24VStatus.setStyleSheet("background-color: rgb(211, 211, 211);\n"
"border-radius: 10px;")
        self.powerSupply24VStatus.setText("")
        self.powerSupply24VStatus.setObjectName("powerSupply24VStatus")
        self.powerSupply12VStatus = QtWidgets.QLabel(self.Relay_groupBox)
        self.powerSupply12VStatus.setGeometry(QtCore.QRect(290, 30, 20, 20))
        self.powerSupply12VStatus.setMinimumSize(QtCore.QSize(20, 20))
        self.powerSupply12VStatus.setMaximumSize(QtCore.QSize(20, 20))
        self.powerSupply12VStatus.setStyleSheet("background-color: rgb(211, 211, 211);\n"
"border-radius: 10px;")
        self.powerSupply12VStatus.setText("")
        self.powerSupply12VStatus.setObjectName("powerSupply12VStatus")
        self.Input1_label = QtWidgets.QLabel(self.Relay_groupBox)
        self.Input1_label.setGeometry(QtCore.QRect(10, 30, 130, 20))
        self.Input1_label.setMinimumSize(QtCore.QSize(130, 20))
        self.Input1_label.setMaximumSize(QtCore.QSize(130, 20))
        self.Input1_label.setObjectName("Input1_label")
        self.Input2_label = QtWidgets.QLabel(self.Relay_groupBox)
        self.Input2_label.setGeometry(QtCore.QRect(10, 60, 130, 20))
        self.Input2_label.setMinimumSize(QtCore.QSize(130, 20))
        self.Input2_label.setMaximumSize(QtCore.QSize(130, 20))
        self.Input2_label.setObjectName("Input2_label")
        self.label = QtWidgets.QLabel(self.centralWidget)
        self.label.setGeometry(QtCore.QRect(170, 170, 100, 20))
        self.label.setMinimumSize(QtCore.QSize(100, 20))
        self.label.setMaximumSize(QtCore.QSize(100, 20))
        self.label.setAlignment(QtCore.Qt.AlignCenter)
        self.label.setObjectName("label")
        self.label_2 = QtWidgets.QLabel(self.centralWidget)
        self.label_2.setGeometry(QtCore.QRect(280, 170, 50, 20))
        self.label_2.setMinimumSize(QtCore.QSize(50, 20))
        self.label_2.setMaximumSize(QtCore.QSize(50, 20))
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName("label_2")
        MainWindow.setCentralWidget(self.centralWidget)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "СЭП Орел-БВС-М"))
        self.StateModule_groupBox.setTitle(_translate("MainWindow", "Состояние модуля управления"))
        self.IPaddres_label.setText(_translate("MainWindow", "IP-адрес:"))
        self.Port_label.setText(_translate("MainWindow", "Порт:"))
        self.State_label.setText(_translate("MainWindow", "Состояние:"))
        self.Relay3_label.setText(_translate("MainWindow", "Вентилятор 1:"))
        self.Relay4_label.setText(_translate("MainWindow", "Вентилятор 2:"))
        self.pbTurnOnOff12V.setText(_translate("MainWindow", "Вкл/Выкл"))
        self.pbTurnOnOff24V.setText(_translate("MainWindow", "Вкл/Выкл"))
        self.pbTurnOnOffCooler1.setText(_translate("MainWindow", "Вкл/Выкл"))
        self.pbTurnOnOffCooler2.setText(_translate("MainWindow", "Вкл/Выкл"))
        self.label_9.setText(_translate("MainWindow", "Температура:"))
        self.label_10.setText(_translate("MainWindow", "градусов"))
        self.Input1_label.setText(_translate("MainWindow", "Блок питания 12 В:"))
        self.Input2_label.setText(_translate("MainWindow", "Блок питания 24 В:"))
        self.label.setText(_translate("MainWindow", "Управление"))
        self.label_2.setText(_translate("MainWindow", "Статус"))
